## love 0.4.0

=== Makefile ===
######################################################################
# "Ancient" LOVE makefile.
# You may need to modify parts of this makefile for your system.
######################################################################

CC = g++
CFLAGS = -g0 -O3 -Wall
CFLAGS_MOD = -g0 -O3
BINDIR = bin

# Inclusion paths.
INCLUDE_SDL = -I/usr/include/SDL
INCLUDE_LUA = -I/usr/include/lua5.1
INCLUDE_LIBLOVE = -Isrc/liblove/include
INCLUDE_FREETYPE = -I/usr/include/freetype2

# Linker flags.
LD_LUA = -llua5.1
LD_SDL = -lSDL
LD_PHYSFS = -lphysfs
LD_FREETYPE = -lfreetype
LD_GL = -lGL -lGLU
LD_IL = -lIL -lILU
LD_SDLMIXER = -lSDL_mixer

######################################################################

default: prep $(BINDIR)/liblove.a love

INCLUDE_COMMON = $(INCLUDE_LUA) $(INCLUDE_SDL) $(INCLUDE_LIBLOVE)
LD_COMMON = $(LD_LUA) $(LD_SDL)

#
# liblove
#

LIBLOVE_TARGET = $(BINDIR)/liblove.a
LIBLOVE_OBJDIR = obj/liblove
LIBLOVE_SRCDIR = src/liblove
LIBLOVE_OBJ = $(LIBLOVE_OBJDIR)/arg.o \
$(LIBLOVE_OBJDIR)/Configuration.o \
$(LIBLOVE_OBJDIR)/Core.o \
$(LIBLOVE_OBJDIR)/DynamicModule.o \
$(LIBLOVE_OBJDIR)/StaticModule.o \
$(LIBLOVE_OBJDIR)/Exception.o \
$(LIBLOVE_OBJDIR)/File.o \
$(LIBLOVE_OBJDIR)/Game.o \
$(LIBLOVE_OBJDIR)/modspec.o \
$(LIBLOVE_OBJDIR)/luax.o \
$(LIBLOVE_OBJDIR)/Module.o \
$(LIBLOVE_OBJDIR)/MemoryFile.o \
$(LIBLOVE_OBJDIR)/Resource.o \
$(LIBLOVE_OBJDIR)/Reference.o \
$(LIBLOVE_OBJDIR)/version.o

LIBLOVE_INCLUDES = $(INCLUDE_LUA) $(INCLUDE_SDL) $(INCLUDE_LIBLOVE)

$(LIBLOVE_TARGET): $(LIBLOVE_OBJ)
	ar crs $@ $^

$(LIBLOVE_OBJDIR)/%.o: $(LIBLOVE_SRCDIR)/%.cpp
	$(CC) -fPIC $(CFLAGS) $(LIBLOVE_INCLUDES) -c $< -o $@
	
	
# SDLTimer.
SDLTIMER_OBJDIR = obj/sdltimer
SDLTIMER_SRCDIR = src/sdltimer
SDLTIMER_OBJ = \
	$(SDLTIMER_OBJDIR)/love_sdltimer.o \
	$(SDLTIMER_OBJDIR)/mod_sdltimer.o

$(SDLTIMER_OBJDIR)/%.o: $(SDLTIMER_SRCDIR)/%.cpp
	$(CC) -fPIC $(CFLAGS) $(INCLUDE_COMMON) -c $< -o $@
	
$(SDLTIMER_OBJDIR)/mod_sdltimer.o: $(SDLTIMER_SRCDIR)/mod_sdltimer.cpp
	$(CC) -fPIC $(CFLAGS_MOD) $(INCLUDE_COMMON) -c $< -o $@
	
# PhysFS
PHYSFS_OBJDIR = obj/physfs
PHYSFS_SRCDIR = src/physfs
PHYSFS_OBJ = \
	$(PHYSFS_OBJDIR)/love_physfs.o \
	$(PHYSFS_OBJDIR)/File.o \
	$(PHYSFS_OBJDIR)/mod_physfs.o

$(PHYSFS_OBJDIR)/%.o: $(PHYSFS_SRCDIR)/%.cpp
	$(CC) -fPIC $(CFLAGS) $(INCLUDE_COMMON) -c $< -o $@
	
$(PHYSFS_OBJDIR)/mod_physfs.o: $(PHYSFS_SRCDIR)/mod_physfs.cpp
	$(CC) -fPIC $(CFLAGS_MOD) $(INCLUDE_COMMON) -c $< -o $@

# OpenGL
OPENGL_OBJDIR = obj/opengl
OPENGL_SRCDIR = src/opengl
OPENGL_OBJ = \
	$(OPENGL_OBJDIR)/Animation.o \
	$(OPENGL_OBJDIR)/Color.o \
	$(OPENGL_OBJDIR)/Font.o \
	$(OPENGL_OBJDIR)/GLee.o \
	$(OPENGL_OBJDIR)/Image.o \
	$(OPENGL_OBJDIR)/ImageFont.o \
	$(OPENGL_OBJDIR)/love_opengl.o \
	$(OPENGL_OBJDIR)/mod_opengl.o \
	$(OPENGL_OBJDIR)/ParticleSystem.o \
	$(OPENGL_OBJDIR)/PointParticleSystem.o \
	$(OPENGL_OBJDIR)/resources.o \
	$(OPENGL_OBJDIR)/Sprite.o \
	$(OPENGL_OBJDIR)/TrueTypeFont.o \
	$(OPENGL_OBJDIR)/Volatile.o

$(OPENGL_OBJDIR)/GLee.o: $(OPENGL_SRCDIR)/GLee.c
	$(CC) -fPIC $(CFLAGS) $(INCLUDE_COMMON) $(INCLUDE_FREETYPE) -c $< -o $@

$(OPENGL_OBJDIR)/%.o: $(OPENGL_SRCDIR)/%.cpp
	$(CC) -fPIC $(CFLAGS) $(INCLUDE_COMMON) $(INCLUDE_FREETYPE) -c $< -o $@
	
$(OPENGL_OBJDIR)/mod_opengl.o: $(OPENGL_SRCDIR)/mod_opengl.cpp
	$(CC) -fPIC $(CFLAGS_MOD) $(INCLUDE_COMMON) $(INCLUDE_FREETYPE) -c $< -o $@
	
# SDLKeyboard
SDLKEYBOARD_OBJDIR = obj/sdlkeyboard
SDLKEYBOARD_SRCDIR = src/sdlkeyboard
SDLKEYBOARD_OBJ = \
	$(SDLKEYBOARD_OBJDIR)/love_sdlkeyboard.o \
	$(SDLKEYBOARD_OBJDIR)/mod_sdlkeyboard.o

$(SDLKEYBOARD_OBJDIR)/%.o: $(SDLKEYBOARD_SRCDIR)/%.cpp
	$(CC) -fPIC $(CFLAGS) $(INCLUDE_COMMON) -c $< -o $@
	
$(SDLKEYBOARD_OBJDIR)/mod_sdlkeyboard.o: $(SDLKEYBOARD_SRCDIR)/mod_sdlkeyboard.cpp
	$(CC) -fPIC $(CFLAGS_MOD) $(INCLUDE_COMMON) -c $< -o $@
	
# SDLMouse
SDLMOUSE_OBJDIR = obj/sdlmouse
SDLMOUSE_SRCDIR = src/sdlmouse
SDLMOUSE_OBJ = \
	$(SDLMOUSE_OBJDIR)/love_sdlmouse.o \
	$(SDLMOUSE_OBJDIR)/mod_sdlmouse.o

$(SDLMOUSE_OBJDIR)/%.o: $(SDLMOUSE_SRCDIR)/%.cpp
	$(CC) -fPIC $(CFLAGS) $(INCLUDE_COMMON) -c $< -o $@
	
$(SDLMOUSE_OBJDIR)/mod_sdlmouse.o: $(SDLMOUSE_SRCDIR)/mod_sdlmouse.cpp
	$(CC) -fPIC $(CFLAGS_MOD) $(INCLUDE_COMMON) -c $< -o $@
	
# SDLMixer
SDLMIXER_OBJDIR = obj/sdlmixer
SDLMIXER_SRCDIR = src/sdlmixer
SDLMIXER_OBJ = \
	$(SDLMIXER_OBJDIR)/love_sdlmixer.o \
	$(SDLMIXER_OBJDIR)/mod_sdlmixer.o \
	$(SDLMIXER_OBJDIR)/Music.o \
	$(SDLMIXER_OBJDIR)/Sound.o

$(SDLMIXER_OBJDIR)/%.o: $(SDLMIXER_SRCDIR)/%.cpp
	$(CC) -fPIC $(CFLAGS) $(INCLUDE_COMMON) -c $< -o $@
	
$(SDLMIXER_OBJDIR)/mod_sdlmixer.o: $(SDLMIXER_SRCDIR)/mod_sdlmixer.cpp
	$(CC) -fPIC $(CFLAGS_MOD) $(INCLUDE_COMMON) -c $< -o $@
	
# System

SYSTEM_OBJDIR = obj/system
SYSTEM_SRCDIR = src/system
SYSTEM_OBJ = \
	$(SYSTEM_OBJDIR)/love_system.o \
	$(SYSTEM_OBJDIR)/LuaGame.o \
	$(SYSTEM_OBJDIR)/resources.o \
	$(SYSTEM_OBJDIR)/mod_system.o

$(SYSTEM_OBJDIR)/%.o: $(SYSTEM_SRCDIR)/%.cpp
	$(CC) -fPIC $(CFLAGS) $(INCLUDE_COMMON) -c $< -o $@
	
$(SYSTEM_OBJDIR)/mod_system.o: $(SYSTEM_SRCDIR)/mod_system.cpp
	$(CC) -fPIC $(CFLAGS_MOD) $(INCLUDE_COMMON) -c $< -o $@

# Box2D

BOX2D_OBJDIR = obj/box2d
BOX2D_SRCDIR = src/box2d
BOX2D_LIBSRCDIR = src/box2d/Source
BOX2D_OBJ = \
	$(BOX2D_SRCDIR)/graham/GrahamScanConvexHull.o \
	$(BOX2D_LIBSRCDIR)/Collision/b2BroadPhase.o \
	$(BOX2D_LIBSRCDIR)/Collision/b2CollideCircle.o \
	$(BOX2D_LIBSRCDIR)/Collision/b2CollidePoly.o \
	$(BOX2D_LIBSRCDIR)/Collision/b2Collision.o \
	$(BOX2D_LIBSRCDIR)/Collision/b2Distance.o \
	$(BOX2D_LIBSRCDIR)/Collision/b2BroadPhase.o \
	$(BOX2D_LIBSRCDIR)/Collision/b2PairManager.o \
	$(BOX2D_LIBSRCDIR)/Collision/b2TimeOfImpact.o \
	$(BOX2D_LIBSRCDIR)/Collision/Shapes/b2Shape.o \
	$(BOX2D_LIBSRCDIR)/Collision/Shapes/b2CircleShape.o \
	$(BOX2D_LIBSRCDIR)/Collision/Shapes/b2PolygonShape.o \
	$(BOX2D_LIBSRCDIR)/Common/b2BlockAllocator.o \
	$(BOX2D_LIBSRCDIR)/Common/b2Math.o \
	$(BOX2D_LIBSRCDIR)/Common/b2Settings.o \
	$(BOX2D_LIBSRCDIR)/Common/b2StackAllocator.o \
	$(BOX2D_LIBSRCDIR)/Dynamics/b2Body.o \
	$(BOX2D_LIBSRCDIR)/Dynamics/b2ContactManager.o \
	$(BOX2D_LIBSRCDIR)/Dynamics/b2Island.o \
	$(BOX2D_LIBSRCDIR)/Dynamics/b2WorldCallbacks.o \
	$(BOX2D_LIBSRCDIR)/Dynamics/b2World.o \
	$(BOX2D_LIBSRCDIR)/Dynamics/Contacts/b2CircleContact.o \
	$(BOX2D_LIBSRCDIR)/Dynamics/Contacts/b2Contact.o \
	$(BOX2D_LIBSRCDIR)/Dynamics/Contacts/b2ContactSolver.o \
	$(BOX2D_LIBSRCDIR)/Dynamics/Contacts/b2PolyAndCircleContact.o \
	$(BOX2D_LIBSRCDIR)/Dynamics/Contacts/b2PolyContact.o \
	$(BOX2D_LIBSRCDIR)/Dynamics/Joints/b2DistanceJoint.o \
	$(BOX2D_LIBSRCDIR)/Dynamics/Joints/b2GearJoint.o \
	$(BOX2D_LIBSRCDIR)/Dynamics/Joints/b2Joint.o \
	$(BOX2D_LIBSRCDIR)/Dynamics/Joints/b2MouseJoint.o \
	$(BOX2D_LIBSRCDIR)/Dynamics/Joints/b2PrismaticJoint.o \
	$(BOX2D_LIBSRCDIR)/Dynamics/Joints/b2PulleyJoint.o \
	$(BOX2D_LIBSRCDIR)/Dynamics/Joints/b2RevoluteJoint.o \
	$(BOX2D_OBJDIR)/Body.o \
	$(BOX2D_OBJDIR)/CircleShape.o \
	$(BOX2D_OBJDIR)/Contact.o \
	$(BOX2D_OBJDIR)/DistanceJoint.o \
	$(BOX2D_OBJDIR)/Joint.o \
	$(BOX2D_OBJDIR)/love_box2d.o \
	$(BOX2D_OBJDIR)/mod_box2d.o \
	$(BOX2D_OBJDIR)/MouseJoint.o \
	$(BOX2D_OBJDIR)/PolygonShape.o \
	$(BOX2D_OBJDIR)/PrismaticJoint.o \
	$(BOX2D_OBJDIR)/RevoluteJoint.o \
	$(BOX2D_OBJDIR)/Shape.o \
	$(BOX2D_OBJDIR)/World.o


$(BOX2D_OBJDIR)/%.o: $(BOX2D_SRCDIR)/%.cpp
	$(CC) -fPIC $(CFLAGS) $(INCLUDE_COMMON) -I./$(BOX2D_SRCDIR)/Include -c $< -o $@
	
$(BOX2D_OBJDIR)/mod_box2d.o: $(BOX2D_SRCDIR)/mod_box2d.cpp
	$(CC) -fPIC $(CFLAGS_MOD) $(INCLUDE_COMMON) -I./$(BOX2D_SRCDIR)/Include -c $< -o $@
	
#
# LOVE (main binary)
#

LOVE_TARGET = love
LOVE_OBJDIR = obj/love
LOVE_SRCDIR = src
LOVE_OBJ = $(LOVE_OBJDIR)/love.o

LOVE_LDFLAGS = $(LD_SDL) $(LD_LUA) $(LD_PHYSFS) $(LD_FREETYPE) $(LD_GL) $(LD_IL) $(LD_SDLMIXER)
LOVE_INCLUDES = $(INCLUDE_LUA) $(INCLUDE_SDL) $(INCLUDE_LIBLOVE)

$(LOVE_TARGET): $(LOVE_OBJ) $(LIBLOVE_OBJ) $(SDLTIMER_OBJ) $(PHYSFS_OBJ) \
		  $(OPENGL_OBJ) $(SDLKEYBOARD_OBJ) $(SDLMOUSE_OBJ) \
		  $(SDLMIXER_OBJ) $(SYSTEM_OBJ) $(BOX2D_OBJ)
	$(CC) $(LOVE_LDFLAGS) -o $(BINDIR)/$@ $^

$(LOVE_OBJDIR)/%.o: $(LOVE_SRCDIR)/%.cpp
	$(CC) $(CFLAGS) $(LOVE_INCLUDES) -c $< -o $@


clean:
	rm -f $(LIBLOVE_OBJ) $(LOVE_OBJ) $(SDLTIMER_OBJ) $(PHYSFS_OBJ) \
		  $(OPENGL_OBJ) $(SDLKEYBOARD_OBJ) $(SDLMOUSE_OBJ) \
		  $(SDLMIXER_OBJ) $(SYSTEM_OBJ) $(BOX2D_OBJ)
	rm -f $(BINDIR)/liblove.a $(BINDIR)/love
	
prep:
	mkdir -p obj bin obj/liblove obj/love obj/sdltimer obj/physfs \
		     obj/opengl obj/sdlkeyboard obj/sdlmouse obj/sdlmixer \
		     obj/system obj/box2d

## love 0.7.1

=== debian/changelog ===
love (0.7.1-1) unstable; urgency=low

  * New Upstream Release.
  * Don't show LÖVE in the application's menu

 -- Miriam Ruiz <little_miry@yahoo.es>  Sat, 28 Aug 2010 22:14:18 +0200

love (0.6.2-1) experimental; urgency=low

  [ Miriam Ruiz ]
  * New Upstream Release.
  * Upgraded Standards-Version from 3.8.1 to 3.9.1
  * Added build dependencies: pkg-config, libmpg123-dev, libopenal-dev,
    libflac++-dev, libmng-dev, libmodplug-dev, libxpm-dev, libxcursor-dev,
    libxxf86vm-dev, libtiff4-dev, libpng12-dev
  * Refreshed gcc-4.4.patch and removed the rest of patches
  * Added support for alternatives, so that different versions of löve can
    co-exist in the system
  * Changed source format to 3.0 (native)

 -- Miriam Ruiz <little_miry@yahoo.es>  Wed, 25 Aug 2010 05:06:09 +0200

love (0.5.0-2) unstable; urgency=low

  [ Miriam Ruiz ]
  * Fix FTBFS but in gcc 4.4. Closes: #505703.
    Thanks to Martin Michlmayr.

 -- Gonéri Le Bouder <goneri@rulezlan.org>  Sat, 30 May 2009 00:53:10 +0200

love (0.5.0-1) unstable; urgency=low

  [ Miriam Ruiz ]
  * New Upstream Release. Closes: #527724
  * Fixed packages short descriptions
  * Uses autotools for building now. Added autotools-dev to Build-Depends
  * Removed package liblove-dev
  * Upgraded Standards-Version to 3.8.1
  * Fixed packages sections in debian/control
  * Added call to dh_desktop in debian/rules
  * Fixed debian/copyright
  * Updated documentation

  [ Gonéri Le Bouder ]
  * add no-ILvoid-type.diff to avoid ILvoid usage since the type is not
    defined in libdevil anymore 
  * add reference to /usr/share/common-licenses/{BSD,GPL,LGPL} to avoid
    lintian crying
  * change Section from game to interpreters to avoid another lintian warning

 -- Miriam Ruiz <little_miry@yahoo.es>  Sat, 02 May 2009 18:24:50 +0200

love (0.4.0-2) unstable; urgency=low

  [ Miriam Ruiz ]
  * Moved Build-Depends-Indep to Build-Depends. Closes: #503382

 -- Miriam Ruiz <little_miry@yahoo.es>  Sat, 25 Oct 2008 15:30:45 +0200

love (0.4.0-1) unstable; urgency=low

  [ Miriam Ruiz ]
  * Initial release (Closes: #494955)

 -- Miriam Ruiz <little_miry@yahoo.es>  Sat, 30 Aug 2008 02:50:02 +0200

=== debian/control ===
Source: love
Section: interpreters
Priority: extra
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Miriam Ruiz <little_miry@yahoo.es>
Build-Depends: debhelper (>= 7), autotools-dev, dh-buildinfo, sng,
 pkg-config, libboost-dev, libsdl1.2-dev, libsdl-mixer1.2-dev, libopenal-dev,
 liblua5.1-0-dev, libphysfs-dev, libdevil-dev, libfreetype6-dev, libmng-dev,
 libmodplug-dev, libmpg123-dev, libflac++-dev, libxpm-dev, libxcursor-dev,
 libxxf86vm-dev, libtiff4-dev, libpng12-dev, lua5.1, liblua5.1-expat0
Standards-Version: 3.9.1
Homepage: http://love2d.org/
Vcs-Svn: svn://svn.debian.org/svn/pkg-games/packages/trunk/love/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-games/packages/trunk/love/?op=log

Package: love
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: 2D game development framework based on Lua and OpenGL
 LÖVE was created to be a user-friendly engine in which simple (or
 complicated) games could be made without having extensive knowledge
 of system or graphics functions and without having to dedicate time
 towards developing the same engine features time and time again.
 .
 Developed with cross-platform implementation in mind, it utilizes the
 latest open source libraries to deliver a similar game experience,
 independent of operating system. By relying on the Lua scripting language
 for game-specific programming, it allows even the novice game creator to
 quickly and efficiently develop an idea into a fully working game.

Package: love-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, love (= ${binary:Version})
Description: 2D game development framework - debugging symbols
 LÖVE was created to be a user-friendly engine in which simple (or
 complicated) games could be made without having extensive knowledge
 of system or graphics functions and without having to dedicate time
 towards developing the same engine features time and time again.
 .
 Developed with cross-platform implementation in mind, it utilizes the
 latest open source libraries to deliver a similar game experience,
 independent of operating system. By relying on the Lua scripting language
 for game-specific programming, it allows even the novice game creator to
 quickly and efficiently develop an idea into a fully working game.
 .
 This package includes the debug symbols for LÖVE.

Package: love-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: love
Description: 2D game development framework - documentation
 LÖVE was created to be a user-friendly engine in which simple (or
 complicated) games could be made without having extensive knowledge
 of system or graphics functions and without having to dedicate time
 towards developing the same engine features time and time again.
 .
 Developed with cross-platform implementation in mind, it utilizes the
 latest open source libraries to deliver a similar game experience,
 independent of operating system. By relying on the Lua scripting language
 for game-specific programming, it allows even the novice game creator to
 quickly and efficiently develop an idea into a fully working game.
 .
 This package includes the Reference Manual for LÖVE.

## love 0.7.2

=== debian/changelog ===
love (0.7.2-1build1) precise; urgency=low

  * No-change rebuild against current pkgbinarymangler to fix broken
    md5sums. (see LP #875466)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 29 Feb 2012 08:43:11 +0100

love (0.7.2-1) unstable; urgency=low

  * New Upstream Release.
  * Upgraded Standards-Version from 3.9.1 to 3.9.2
  * Changed Priority to optional
  * Divided scripts_source.patch in two:
    scripts_source.patch and scripts_refresh.patch

 -- Miriam Ruiz <little_miry@yahoo.es>  Tue, 10 May 2011 01:58:46 +0200

=== debian/rules ===
#!/usr/bin/make -f

PRG_SUFFIX=0.7

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

configure: configure-stamp
configure-stamp: 
	dh_testdir
	[ ! -d debian/pixmaps ] || { cd debian/pixmaps && for i in *.sng; do sng "$$i"; done; }

ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif

	./configure $(CROSS) \
		--prefix=/usr \
		--mandir=\$${prefix}/share/man \
		--infodir=\$${prefix}/share/info \
		CFLAGS="$(CFLAGS) `pkg-config openal flac++ --cflags --libs`" \
		LDFLAGS="-Wl,-z,defs  -Wl,-as-needed `pkg-config openal flac++ --libs`"
	touch $@

build-arch: build-arch-stamp
build-arch-stamp: configure-stamp
	dh_testdir
	$(MAKE)
	touch $@

build-indep: build-indep-stamp
build-indep-stamp: configure-stamp  
	dh_testdir
	touch $@

build: build-indep build-arch

clean: 
	dh_testdir
	dh_testroot
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f config.sub config.guess config.log config.cache
	rm -f *-stamp
	rm -f bin/*
	rm -rf obj/*
	rm -f `find . -name "*.o"`
	[ ! -d debian/pixmaps ] || rm -vf debian/pixmaps/*.png
	dh_clean 

install-arch: build-arch-stamp
	dh_testdir
	dh_testroot
	dh_prep -a
	dh_installdirs -a
	$(MAKE) DESTDIR=$(CURDIR)/debian/love install
	mv debian/love/usr/bin/love debian/love/usr/bin/love-$(PRG_SUFFIX)

install-indep: build-indep-stamp
	dh_testdir
	dh_testroot
	dh_prep -i
	dh_installdirs -i

install: install-indep install-arch

binary-indep: build-indep install-indep
	dh_testdir
	dh_testroot
	dh_installchangelogs -i
	dh_installdocs -i
	dh_installexamples -i
	dh_install -i
#	dh_installmenu -i
	dh_installmime -i
#	dh_installinfo -i
	dh_link -i
	dh_compress -i --exclude=.love --exclude=.lua
	dh_fixperms -i
	test -e /usr/bin/dh_buildinfo && dh_buildinfo -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: build-arch install-arch
	dh_testdir
	dh_testroot
	dh_installchangelogs changes.txt -a
	dh_installdocs -a
	dh_installexamples -a
	dh_install -a
#	dh_installmenu -a
	dh_installmime -a
#	dh_installinfo -a
	dh_installman debian/love-$(PRG_SUFFIX).1 -a
	dh_link -a
	dh_strip --dbg-package=love-dbg -a
	dh_compress -a --exclude=.love --exclude=.lua
	dh_fixperms -a
#	dh_makeshlibs -a
	test -e /usr/bin/dh_buildinfo && dh_buildinfo -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch

.PHONY: build build-indep build-arch
.PHONY: binary binary-indep binary-arch
.PHONY: install install-indep inatall-arch configure
.PHONY: clean configure

## love 0.8.0

=== debian/changelog ===
love (0.8.0-6ubuntu2) trusty; urgency=low

  * Switch liblua5.1-expat0 to lua-expat due to changes in lua policy and
    updated binary names
    - update debian/control 

 -- Micah Gersten <micahg@ubuntu.com>  Sun, 27 Oct 2013 12:34:37 -0500

love (0.8.0-6ubuntu1) saucy; urgency=low

  * Merge from Debian unstable. (LP: #1214672) Remaining changes:
    - debian/control:
      - Build-depend on libtiff-dev rather than libtiff4-dev.

 -- Artur Rona <ari-tczew@tlen.pl>  Wed, 21 Aug 2013 03:21:40 +0200

love (0.8.0-6) unstable; urgency=low

  * Fixed stupid error, /usr/share/binfmts/love was not installed

 -- Miriam Ruiz <miriam@debian.org>  Thu, 15 Aug 2013 23:25:43 +0200

love (0.8.0-5) unstable; urgency=low

  [ Evgeni Golov ]
  * Correct Vcs-* URLs to point to anonscm.debian.org

  [ Miriam Ruiz ]
  * Upgraded Standards-Version from 3.9.3 to 3.9.4
  * Changed my email address to miriam@debian.org

 -- Miriam Ruiz <miriam@debian.org>  Thu, 15 Aug 2013 19:12:56 +0200

love (0.8.0-4) experimental; urgency=low

  * Team upload.
  * Update Vcs-Browser control file field.
  * If binfmt-tools is installed, associate .love files with
    /usr/bin/love. Closes: #628438.
  * Lintian override for mention of LGPL in copyright file.
  * Lintian override for /usr/bin/love in .desktop file.
  * Call dh_lintian to install the overrides.
  * Don't ship a duplicate changelog at changes.txt.gz

 -- Jonathan Dowland <jmtd@debian.org>  Thu, 21 Feb 2013 23:05:10 +0000
 

love (0.8.0-3ubuntu1) raring; urgency=low

  * A new merge from Debian. Rmaining changes:
    - change libtiff4-dev to libtiff-dev.

 -- Oussama Bounaim <o.bounaim@gmail.com>  Sat, 03 Nov 2012 16:08:32 +0100

love (0.8.0-3) unstable; urgency=low

  * Team upload.
  * Add glee-dev to Build-Depends. Closes: #690871

 -- Bas Wijnen <wijnen@debian.org>  Thu, 18 Oct 2012 20:35:56 +0200

love (0.8.0-2) unstable; urgency=low

  * Team upload.
  * Convert copyright file to machine readable format.
  * Add copyright information for utf8-cpp. Closes: #690394
  * Add hardening flags to build rules. Closes: #690494
  * Replace included GLee with system version. Closes: #690492

 -- Bas Wijnen <wijnen@debian.org>  Sun, 14 Oct 2012 15:01:02 +0200

love (0.8.0-1ubuntu1) quantal; urgency=low

  * change libtiff4-dev to libtiff-dev

 -- Julian Taylor <jtaylor@ubuntu.com>  Sun, 30 Sep 2012 17:08:20 +0200

love (0.8.0-1) unstable; urgency=low

  * New Upstream Release. Closes: #664821
  * Upgraded Standards-Version from 3.9.2 to 3.9.3
  * Added libvorbis-dev and glee-dev to Build-Depends. Closes: #672909
  * Refreshed patches
  * Removed usage of sng for handling png files in debian/
  * Tried to removed internal glee, but it doesn't seem to like the system's one

 -- Miriam Ruiz <little_miry@yahoo.es>  Sun, 03 Jun 2012 00:29:52 +0200

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,24 @@
 Source: love
 Section: interpreters
-Priority: extra
-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
-Uploaders: Miriam Ruiz <little_miry@yahoo.es>
-Build-Depends: debhelper (>= 7), autotools-dev, dh-buildinfo, sng,
- pkg-config, libboost-dev, libsdl1.2-dev, libsdl-mixer1.2-dev, libopenal-dev,
- liblua5.1-0-dev, libphysfs-dev, libdevil-dev, libfreetype6-dev, libmng-dev,
- libmodplug-dev, libmpg123-dev, libflac++-dev, libxpm-dev, libxcursor-dev,
- libxxf86vm-dev, libtiff4-dev, libpng12-dev, lua5.1, liblua5.1-expat0
-Standards-Version: 3.9.1
+Priority: optional
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Uploaders: Miriam Ruiz <miriam@debian.org>
+Build-Depends: debhelper (>= 7), autotools-dev, automake, autoconf, libtool,
+ dh-buildinfo, pkg-config, libboost-dev, libsdl1.2-dev, libsdl-mixer1.2-dev,
+ libopenal-dev, liblua5.1-0-dev, libphysfs-dev, libdevil-dev, libfreetype6-dev,
+ libmng-dev, libmodplug-dev, libmpg123-dev, libflac++-dev, libxpm-dev,
+ libxcursor-dev, libxxf86vm-dev, libtiff-dev, libpng12-dev, lua5.1,
+ lua-expat, libvorbis-dev, glee-dev
+Standards-Version: 3.9.4
 Homepage: http://love2d.org/
-Vcs-Svn: svn://svn.debian.org/svn/pkg-games/packages/trunk/love/
-Vcs-Browser: http://svn.debian.org/wsvn/pkg-games/packages/trunk/love/?op=log
+Vcs-Svn: svn://anonscm.debian.org/pkg-games/packages/trunk/love/
+Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-games/packages/trunk/love/
 
 Package: love
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Recommends: binfmt-support
 Description: 2D game development framework based on Lua and OpenGL
  LÖVE was created to be a user-friendly engine in which simple (or
  complicated) games could be made without having extensive knowledge

=== debian/rules ===
--- 
+++ 
@@ -1,14 +1,20 @@
 #!/usr/bin/make -f
 
-PRG_SUFFIX=0.7
+PRG_SUFFIX=0.8
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
+CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
+LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)
+
 configure: configure-stamp
 configure-stamp: 
 	dh_testdir
-	[ ! -d debian/pixmaps ] || { cd debian/pixmaps && for i in *.sng; do sng "$$i"; done; }
+
+	libtoolize
+	autoreconf -vfi
 
 ifneq "$(wildcard /usr/share/misc/config.sub)" ""
 	cp -f /usr/share/misc/config.sub config.sub
@@ -21,8 +27,8 @@
 		--prefix=/usr \
 		--mandir=\$${prefix}/share/man \
 		--infodir=\$${prefix}/share/info \
-		CFLAGS="$(CFLAGS) `pkg-config openal flac++ --cflags --libs`" \
-		LDFLAGS="-Wl,-z,defs  -Wl,-as-needed `pkg-config openal flac++ --libs`"
+		CFLAGS="$(CPPFLAGS) $(CXXFLAGS) $(CFLAGS) `pkg-config openal flac++ --cflags --libs`" \
+		LDFLAGS="$(LDFLAGS) -Wl,-z,defs  -Wl,-as-needed `pkg-config openal flac++ --libs`"
 	touch $@
 
 build-arch: build-arch-stamp
@@ -42,12 +48,14 @@
 	dh_testdir
 	dh_testroot
 	[ ! -f Makefile ] || $(MAKE) distclean
-	rm -f config.sub config.guess config.log config.cache
-	rm -f *-stamp
-	rm -f bin/*
-	rm -rf obj/*
-	rm -f `find . -name "*.o"`
-	[ ! -d debian/pixmaps ] || rm -vf debian/pixmaps/*.png
+	#rm -fv src/modules/graphics/opengl/GLee.*
+	rm -fv config.sub config.guess config.log config.cache
+	rm -fv *-stamp
+	rm -fv bin/*
+	rm -rfv obj/*
+	rm -fv `find . -name "*.o"`
+	rm -fv configure Makefile.in src/Makefile.in aclocal.m4
+	rm -rfv platform/
 	dh_clean 
 
 install-arch: build-arch-stamp
@@ -92,10 +100,13 @@
 	dh_installdocs -a
 	dh_installexamples -a
 	dh_install -a
+	mkdir -p debian/love/usr/share/binfmts/
+	cp debian/love.binfmt debian/love/usr/share/binfmts/love
 #	dh_installmenu -a
 	dh_installmime -a
 #	dh_installinfo -a
 	dh_installman debian/love-$(PRG_SUFFIX).1 -a
+	dh_lintian
 	dh_link -a
 	dh_strip --dbg-package=love-dbg -a
 	dh_compress -a --exclude=.love --exclude=.lua

## love 0.9.1

=== Makefile ===
SOURCE_DIRS = $(shell find . -name 'main.lua' | awk -F'/' '{print $$2}')
LOVE_FILES = $(SOURCE_DIRS:=.love)

all: $(LOVE_FILES)

%.love: %
	cd $< && zip --recurse-paths ../$@ *

clean:
	rm -vf *.love

=== debian/changelog ===
love (0.9.1-4ubuntu1) yakkety; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Don't build-depend on luajit on arm64 and ppc64el.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 08 Aug 2016 13:36:48 -0700

love (0.9.1-4) unstable; urgency=medium

  * Team upload.
  * Drop README.source because source format 3.0 uses quilt by default.
  * wrap-and-sort -sab.
  * Use compat level 9 and require debhelper >= 9.
  * Declare compliance with Debian Policy 3.9.8.
  * Use secure Vcs-Browser URL.
  * Drop love-dbg binary package and use the automatic -dbgsym package instead.
  * Remove spurious libmng-dev build-dependency.
    Thanks to Moritz Muehlenhoff for the report. (Closes: #757171)
  * Build demos in arch-indep target. (Closes: #806657)
  * Use default xz compression for the debian tarball.
  * Fix Lintian warnings in debian/copyright.
  * debian/rules: Fix Lintian error privacy-breach-google-plus.

 -- Markus Koschany <apo@debian.org>  Wed, 03 Aug 2016 22:37:52 +0200

love (0.9.1-3ubuntu1) vivid; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - Don't build-depend on luajit on arm64 and ppc64el.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 16 Nov 2014 22:38:32 -0600

love (0.9.1-3) unstable; urgency=medium

  * Team upload.
  * Add Breaks+Replaces relation against older versions of love to fix
    wheezy -> jessie upgrades. (Closes: #768206)

 -- Vincent Cheng <vcheng@debian.org>  Thu, 13 Nov 2014 23:17:35 -0800

love (0.9.1-2ubuntu2) utopic; urgency=medium

  * Fix non-ascii character in debian/control.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 19 Sep 2014 10:59:43 -0700

love (0.9.1-2ubuntu1) utopic; urgency=medium

  * Don't build-depend on luajit on arm64 and ppc64el.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 05 Sep 2014 02:16:23 +0200

love (0.9.1-2) unstable; urgency=medium

  * Don't use luajit for architectures where it is not supported:
    hurd-i386 !kfreebsd-amd64 !s390x
  * Moved demos to love-doc package to make love package lighter

 -- Miriam Ruiz <miriam@debian.org>  Mon, 28 Apr 2014 22:34:08 +0200

love (0.9.1-1) unstable; urgency=medium

  [ Miriam Ruiz ]
  * New upstream release
    + 0.9.1's API is fully backward compatible with existing 0.9.0 games.
    + Most of the changes are bug fixes, internal code improvements, and
    + some API additions and updates to flesh out LÖVE's features,
    + especially in the love.graphics module.
    + See http://love2d.org/forums/viewtopic.php?f=3&t=77609
    + See https://www.love2d.org/wiki/0.9.1
  * Refreshed patches
  * Temporarily removed the patches to use Glee from system, as Glee 5.5 is
    needed for the program to compile.

 -- Miriam Ruiz <miriam@debian.org>  Fri, 11 Apr 2014 08:02:09 +0200

love (0.9.0-1) unstable; urgency=low

  [ Miriam Ruiz ]
  * New upstream release
    + LÖVE 0.9.0 breaks compatibility with nearly every 0.8.0 game (as usual).
    + Added three new modules: love.window, love.math, and love.system.
    + Reworked the love.joystick and love.thread modules.
    + New graphic features, including polygon meshes and vertex shaders.
    + Integrated the ENet networking library via lua-enet.
    + Renamed many functions to be more consistent with the rest of the API.
    + Improved the performance of several APIs in love.graphics.
    + See the whole list of changes at https://www.love2d.org/wiki/0.9.0
  * Refreshed patches
    + New scripts_source.patch obtained from bitbucket.org source code repo
  * Fixed dependencies
  * Using dh_autoreconf
  * Fixed the demos. They new API is not compatible with the old one anymore.
  * Upgraded Standards-Version from 3.9.4 to 3.9.5

 -- Miriam Ruiz <miriam@debian.org>  Sat, 11 Jan 2014 01:01:36 +0100

love (0.8.0-7) unstable; urgency=medium

  * Team upload.
  * Add fix-freetype-includes.patch to fix a FTBFS. Closes: #733357
  * Set urgency to medium due to a fix for a RC bug.
  * Change libtiff4-dev and libpng12-dev to libtiff-dev and libpng-dev.
    Closes: #723149. Thanks Artur Rona.
  * Change liblua5.1-expat0 to lua-expat. Closes: #728028. Thanks Micah Gersten.
  * Enable hardening also for C++ code.

 -- Juhani Numminen <juhaninumminen0@gmail.com>  Wed, 01 Jan 2014 11:59:47 +0200

=== debian/control ===
Source: love
Section: interpreters
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Miriam Ruiz <miriam@debian.org>
Build-Depends:
 autoconf,
 automake,
 autotools-dev,
 debhelper (>= 9),
 dh-autoreconf,
 dh-buildinfo,
 glee-dev,
 libboost-dev,
 libdevil-dev,
 libflac++-dev,
 libflac-dev,
 libfreetype6-dev,
 liblua5.1-0-dev,
 libluajit-5.1-dev [!hurd-i386 !kfreebsd-amd64 !s390x !arm64 !ppc64el],
 libmodplug-dev,
 libmpg123-dev,
 libogg-dev,
 libopenal-dev,
 libphysfs-dev,
 libpng-dev,
 libsdl2-dev (>= 2.0.1),
 libtiff-dev,
 libtool,
 libvorbis-dev,
 libxcursor-dev,
 libxpm-dev,
 libxxf86vm-dev,
 lua5.2 | lua5.1,
 pkg-config,
 zip
Standards-Version: 3.9.8
Homepage: http://love2d.org/
Vcs-Svn: svn://anonscm.debian.org/pkg-games/packages/trunk/love/
Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-games/packages/trunk/love/

Package: love
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 binfmt-support
Description: 2D game development framework based on Lua and OpenGL
 LÖVE was created to be a user-friendly engine in which simple (or
 complicated) games could be made without having extensive knowledge
 of system or graphics functions and without having to dedicate time
 towards developing the same engine features time and time again.
 .
 Developed with cross-platform implementation in mind, it utilizes the
 latest open source libraries to deliver a similar game experience,
 independent of operating system. By relying on the Lua scripting language
 for game-specific programming, it allows even the novice game creator to
 quickly and efficiently develop an idea into a fully working game.

Package: love-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends}
Suggests:
 love
Breaks:
 love (<< 0.9.1-2)
Replaces:
 love (<< 0.9.1-2)
Description: 2D game development framework - documentation
 LÖVE was created to be a user-friendly engine in which simple (or
 complicated) games could be made without having extensive knowledge
 of system or graphics functions and without having to dedicate time
 towards developing the same engine features time and time again.
 .
 Developed with cross-platform implementation in mind, it utilizes the
 latest open source libraries to deliver a similar game experience,
 independent of operating system. By relying on the Lua scripting language
 for game-specific programming, it allows even the novice game creator to
 quickly and efficiently develop an idea into a fully working game.
 .
 This package includes the Reference Manual for LÖVE.

=== debian/rules ===
#!/usr/bin/make -f

PRG_SUFFIX=0.9

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS) -Wl,-z,defs -Wl,-as-needed

CONFIGURE_OPTIONS:= \
		$(CROSS) \
		--prefix=/usr \
		--mandir=\$${prefix}/share/man \
		--infodir=\$${prefix}/share/info \
		CPPFLAGS="$(CPPFLAGS)" \
		CFLAGS="$(CFLAGS)" \
		CXXFLAGS="$(CXXFLAGS)" \
		LDFLAGS="$(LDFLAGS)"

configure: configure-stamp
configure-stamp:
	dh_testdir

	libtoolize
	dh_autoreconf

	if pkg-config luajit ; then echo + Using luagit ; \
		./configure $(CONFIGURE_OPTIONS) --with-lua=luajit ; \
	else echo + Using lua ; \
		./configure $(CONFIGURE_OPTIONS) --with-lua=lua ; \
	fi

	cd src/scripts/ && lua auto.lua boot graphics
	touch $@

build-arch: build-arch-stamp
build-arch-stamp: configure-stamp
	dh_testdir
	$(MAKE)
	touch $@

build-indep: build-indep-stamp
build-indep-stamp: configure-stamp
	dh_testdir
	# Privacy breach fix
	find doc -type f -exec sed -i 's/https:\/\/plus.google.com\/b\/108553500970002863436\///g' {} \;
	[ ! -f demos/Makefile ] || $(MAKE) -C demos
	touch $@

build: build-indep build-arch

clean:
	dh_testdir
	dh_testroot
	[ ! -f Makefile ] || $(MAKE) distclean
	[ ! -f demos/Makefile ] || $(MAKE) -C demos clean
	#rm -fv src/modules/graphics/opengl/GLee.*
	rm -fv config.sub config.guess config.log config.cache
	rm -fv *-stamp
	rm -fv bin/*
	rm -rfv obj/*
	rm -fv `find . -name "*.o"`
	rm -fv configure Makefile.in src/Makefile.in aclocal.m4
	rm -fv src/scripts/boot.lua.h src/scripts/graphics.lua.h
	#rm -rfv platform/
	dh_autoreconf_clean
	dh_clean

install-arch: build-arch-stamp
	dh_testdir
	dh_testroot
	dh_prep -a
	dh_installdirs -a
	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install
	mv debian/tmp/usr/bin/love debian/tmp/usr/bin/love-$(PRG_SUFFIX)

install-indep: build-indep-stamp
	dh_testdir
	dh_testroot
	dh_prep -i
	dh_installdirs -i

install: install-indep install-arch

binary-indep: build-indep install-indep
	dh_testdir
	dh_testroot
	dh_installchangelogs -i
	dh_installdocs -i
	dh_installexamples -i
	dh_install -i
#	dh_installmenu -i
	dh_installmime -i
#	dh_installinfo -i
	dh_lintian -i
	dh_link -i
	dh_compress -i --exclude=.love --exclude=.lua
	dh_fixperms -i
	test -e /usr/bin/dh_buildinfo && dh_buildinfo -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: build-arch install-arch
	dh_testdir
	dh_testroot
	dh_installchangelogs changes.txt -a
	dh_installdocs -a
	dh_installexamples -a
	dh_install -a
	mkdir -p debian/love/usr/share/binfmts/
	cp debian/love.binfmt debian/love/usr/share/binfmts/love
#	dh_installmenu -a
	dh_installmime -a
#	dh_installinfo -a
	dh_installman debian/love-$(PRG_SUFFIX).1 -a
	dh_lintian -a
	dh_link -a
#	dh_link -plove-dev usr/lib/$(DEB_HOST_MULTIARCH)/liblove.so.0.0.0 usr/lib/$(DEB_HOST_MULTIARCH)/liblove.so
	dh_strip
	dh_compress -a --exclude=.love --exclude=.lua
	dh_fixperms -a
#	dh_makeshlibs -a
	test -e /usr/bin/dh_buildinfo && dh_buildinfo -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch

.PHONY: build build-indep build-arch
.PHONY: binary binary-indep binary-arch
.PHONY: install install-indep inatall-arch configure
.PHONY: clean configure

## love 11.1

=== debian/changelog ===
love (11.1-2) unstable; urgency=medium

  * Team upload.
  * Remove luajit dependency restriction on hurd-i386 and kfreebsd-amd64.
  * Restore check for lua implementation for architectures without luajit.
  * Drop big-endian architectures as the hash module requires little-endian.
  * Enable also non-release little-endian architectures.
  * Drop unused build dependencies.

 -- Reiner Herrmann <reiner@reiner-h.de>  Sat, 04 Aug 2018 16:05:52 +0200

love (11.1-1) unstable; urgency=medium

  [ Reiner Herrmann, Alexandre Detiste ]
  * Team upload.
  * New upstream version 11.1. (Closes: #830876, #815170))
    - The package builds from source again. (Closes: #873329)
  * Fix FTCBFS by switching to dh sequencer. (Closes: #894041)
  * Bump Standards-Version to 4.2.0
  * Drop scripts_source.patch; included in upstream tarball
  * Remove LDADD section from src/Makefile.am patch.
    It was no longer building as it couldn't find a target '.libs/liblove.a'.
  * Convert to dh-based build
  * Disable -doc package for now.
    It's currently unclear to me where the -doc and -demos tarball
    is coming from.
  * Since the -doc package is disabled and the patch for upstream's manpage was
    accepted, this (Closes: #892917)
  * The mimelnk files are no longer installed. (Closes: #875525)
  * Remove unused lintian-override
  * Install files only via dh_install; otherwise it installs static library too
  * Add build dependency libtheora-dev

  [ Markus Koschany ]
  * Remove autoconf and automake from B-D because compat 11 provides them
    automatically.

 -- Markus Koschany <apo@debian.org>  Fri, 03 Aug 2018 12:09:05 +0200

=== debian/control ===
Source: love
Section: interpreters
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Miriam Ruiz <miriam@debian.org>
Build-Depends:
 debhelper (>= 11),
 libfreetype6-dev,
 liblua5.1-0-dev,
 libluajit-5.1-dev [!alpha !ia64 !riscv64 !sh4 !s390x],
 libmodplug-dev,
 libmpg123-dev,
 libogg-dev,
 libopenal-dev,
 libphysfs-dev,
 libsdl2-dev,
 libtheora-dev,
 libtool,
 libvorbis-dev,
 lua5.2 | lua5.1,
 pkg-config,
 zip,
 zlib1g-dev
Standards-Version: 4.2.0
Homepage: https://love2d.org/
Vcs-Git: https://salsa.debian.org/games-team/love.git
Vcs-Browser: https://salsa.debian.org/games-team/love

Package: love
Architecture: alpha any-i386 any-amd64 arm64 armel armhf ia64 mips64el mipsel ppc64el powerpc ppc64 riscv64 sh4 x32
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 binfmt-support
Description: 2D game development framework based on Lua and OpenGL
 LÖVE was created to be a user-friendly engine in which simple (or
 complicated) games could be made without having extensive knowledge
 of system or graphics functions and without having to dedicate time
 towards developing the same engine features time and time again.
 .
 Developed with cross-platform implementation in mind, it utilizes the
 latest open source libraries to deliver a similar game experience,
 independent of operating system. By relying on the Lua scripting language
 for game-specific programming, it allows even the novice game creator to
 quickly and efficiently develop an idea into a fully working game.

#Package: love-doc
#Section: doc
#Architecture: all
#Depends:
# ${misc:Depends}
#Suggests:
# love
#Breaks:
# love (<< 0.9.1-2)
#Replaces:
# love (<< 0.9.1-2)
#Description: 2D game development framework - documentation
# LÖVE was created to be a user-friendly engine in which simple (or
# complicated) games could be made without having extensive knowledge
# of system or graphics functions and without having to dedicate time
# towards developing the same engine features time and time again.
# .
# Developed with cross-platform implementation in mind, it utilizes the
# latest open source libraries to deliver a similar game experience,
# independent of operating system. By relying on the Lua scripting language
# for game-specific programming, it allows even the novice game creator to
# quickly and efficiently develop an idea into a fully working game.
# .
# This package includes the Reference Manual for LÖVE.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk
include /usr/share/dpkg/buildtools.mk

#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# does not link without pthread
# undefined reference to symbol 'pthread_sigmask@@GLIBC_2.2.5'
export DEB_LDFLAGS_MAINT_APPEND = -lpthread

LUA_IMPL = $(shell $(PKG_CONFIG) luajit && echo luajit || echo lua)

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --disable-shared --enable-static --with-lua=$(LUA_IMPL)
	# rebuild C++ header files:
	cd src/scripts/ && lua auto.lua boot nogame

override_dh_auto_install:
	# skip dh_auto_install as we install all files via dh_install

override_dh_install:
	dh_install
	install -m755 -D src/love debian/love/usr/bin/love-$(DEB_VERSION_UPSTREAM)
	install -m644 -D debian/love.binfmt debian/love/usr/share/binfmts/love
	install -m644 -D platform/unix/love.6 debian/love/usr/share/man/man6/love-$(DEB_VERSION_UPSTREAM).6

=== debian/watch ===
version=4
https://bitbucket.org/rude/love/downloads/love@ANY_VERSION@-linux-src@ARCHIVE_EXT@

## love 11.3

=== debian/changelog ===
love (11.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.5.0.
    - declare that d/rules does not require root
  * Update debhelper compat to 12.
  * Drop remaining big-endian architectures. (Closes: #906925)
  * Build with stb_image.h from libstb-dev instead of embedded copy.
    (Closes: #949634)
  * Update copyrights.
  * Remove references to removed -doc package.

 -- Reiner Herrmann <reiner@reiner-h.de>  Tue, 04 Feb 2020 23:58:08 +0100

=== debian/control ===
Source: love
Section: interpreters
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Miriam Ruiz <miriam@debian.org>
Build-Depends:
 debhelper-compat (= 12),
 libfreetype6-dev,
 liblua5.1-0-dev,
 libluajit-5.1-dev [!alpha !ia64 !riscv64 !sh4 !s390x],
 libmodplug-dev,
 libmpg123-dev,
 libogg-dev,
 libopenal-dev,
 libphysfs-dev,
 libsdl2-dev,
 libstb-dev,
 libtheora-dev,
 libtool,
 libvorbis-dev,
 lua5.2 | lua5.1,
 pkg-config,
 zip,
 zlib1g-dev
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://love2d.org/
Vcs-Git: https://salsa.debian.org/games-team/love.git
Vcs-Browser: https://salsa.debian.org/games-team/love

Package: love
Architecture: alpha any-i386 any-amd64 arm64 armel armhf ia64 mips64el mipsel ppc64el riscv64 sh4 x32
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 binfmt-support
Description: 2D game development framework based on Lua and OpenGL
 LÖVE was created to be a user-friendly engine in which simple (or
 complicated) games could be made without having extensive knowledge
 of system or graphics functions and without having to dedicate time
 towards developing the same engine features time and time again.
 .
 Developed with cross-platform implementation in mind, it utilizes the
 latest open source libraries to deliver a similar game experience,
 independent of operating system. By relying on the Lua scripting language
 for game-specific programming, it allows even the novice game creator to
 quickly and efficiently develop an idea into a fully working game.

=== debian/rules ===
--- 
+++ 
@@ -17,6 +17,7 @@
 	dh $@
 
 override_dh_auto_configure:
+	ln -sf /usr/include/stb/stb_image.h src/libraries/stb/stb_image.h
 	dh_auto_configure -- --disable-shared --enable-static --with-lua=$(LUA_IMPL)
 	# rebuild C++ header files:
 	cd src/scripts/ && lua auto.lua boot nogame

## love 11.4

=== debian/changelog ===
love (11.4-1) unstable; urgency=medium

  * Team upload.

  [ Alexandre Detiste ]
  * Remove luajit build dependency on ppc64el. (Closes: #1011300)

  [ Michael Biebl ]
  * Add support for systemd-binfmt. (Closes: #1012363)

  [ Reiner Herrmann ]
  * New upstream release.
  * Update versions in postinst/prerm.
  * Bump Standards-Version to 4.6.1.
  * Bump debhelper compat version to 13.
  * Point d/watch to github, as bitbucket is no longer used.

 -- Reiner Herrmann <reiner@reiner-h.de>  Thu, 09 Jun 2022 11:44:50 +0200

=== debian/watch ===
version=4
https://github.com/love2d/love/releases/ .*/love@ANY_VERSION@-linux-src@ARCHIVE_EXT@
